package com.sys.bus.model.base;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;

@SuppressWarnings("serial")
public abstract class BaseUpdateRatingPermission<M extends BaseUpdateRatingPermission<M>>
        extends Model<M> implements IBean {
//    CREATE TABLE "DFHR"."CT_JX_UPDATERATINGPERMISSION"
//            (	"PERMISSION_ID" VARCHAR2(50) NOT NULL ENABLE,
//	"ORG_ID" VARCHAR2(255),
//	"IS_SUBORDINATE" NUMBER(*,0),
//	"CYCLE_ID" VARCHAR2(255),
//	"IS_ENABLE" NUMBER(*,0),
//    CONSTRAINT "SYS_C00259670" PRIMARY KEY ("PERMISSION_ID")
//    USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 NOCOMPRESS LOGGING
//    TABLESPACE "USERS"  ENABLE
//   ) SEGMENT CREATION DEFERRED
//    PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
//    TABLESPACE "USERS"
    public void setPermissionId(java.lang.String value) {
        set("PERMISSION_ID", value);
    }
    public java.lang.String getPermissionId() {
        return get("PERMISSION_ID");
    }
    public void setOrgId(java.lang.String value) {
        set("ORG_ID", value);
    }
    public java.lang.String getOrgId() {
        return get("ORG_ID");
    }
    public void setIsSubordinate(java.lang.String value) {
        set("IS_SUBORDINATE", value);
    }
    public java.lang.String getIsSubordinate() {
        return get("IS_SUBORDINATE");
    }
    public void setCycleId(java.lang.String value) {
        set("CYCLE_ID", value);
    }
    public java.lang.String getCycleId() {
        return get("CYCLE_ID");
    }
    public void setIsEnable(java.lang.String value) {
        set("IS_ENABLE", value);
    }
    public java.lang.String getIsEnable() {
        return get("IS_ENABLE");
    }

}